<?php
include(dirname(__FILE__).'/../../config/config.inc.php');
include(dirname(__FILE__).'/payvalida.php');
class PayvalidaResponseModuleFrontController extends ModuleFrontController
{
    public $ssl = true;
    public $display_column_left = false;
    public $display_column_right = false;

    public function initContent()
    {
		parent::initContent();
		global $smarty;
		if(isset($_REQUEST['order'])){
			$orderGet = $_GET["order"];
			$id_order = Order::getOrderByCartId($orderGet);
			$order = new Order($id_order);
		}else{
			echo "Error en la Firma Digital";
			exit;
		}

		$CREATION_DATE = strval($order->date_add);
		$AMOUNT=strval($order->total_paid_tax_incl);
		$REFERENCE=$order->reference;

		switch ($order->current_state){
			case Configuration::get('PS_OS_PREPARATION'):
				$STATE = "Pendiente";
			break;
			case Configuration::get('PS_OS_PAYMENT'):
				$STATE = "Aprobado";
			break;
			case Configuration::get('PS_OS_CANCELED'):
				$STATE = "Cancelado";
			break;
			default:
				$STATE = "Pendiente";
		}

		$smarty->assign(array(
			'CREATION_DATE'=>$CREATION_DATE,
			'STATE'=>$STATE,
			'AMOUNT'=>$AMOUNT,
			'REFERENCE'=>$REFERENCE,
			'this_path_bw' => $this->module->getPathUri(),
			'this_path_order' => Tools::getShopDomainSsl(true, true).__PS_BASE_URI__.'historial-compra',
		));
		$this->setTemplate('module:payvalida/views/templates/front/respuesta_pv.tpl');
		}
}

?>